[P052]Achievement transformation - market prospect indicators

post
https://connect.patsnap.com/patent-valuation-data/market_prospect
Try in Sandbox

Receive technology market prospect indicators by similar patents list. there include the highest patent value、industry development、tech application width and the number of original assignee.

Up to 100 similar patents were supported for index calculation

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
ipc_cnt_threshold
integer<int32>5
IPC count threshold, for tech_application_width (default 5)
year_threshold
integer<int32>3
application year calculation scope, for industry_development (default 3)
patent_info
Required
array[ { "pn": "CN113556455A", "patent_id": "d827b76d-3a0e-40a5-b63d-b8a47eb8d0f6", "relevancy": "74%" }, { "pn": "CN111634234A", "patent_id": "0e70c3f3-644d-4f65-abad-ad5630911dde", "relevancy": "73%" } ]

List of similar patent information, up to 100 similar patents are supported for indicator calculation.

Note:

1. patent_id and pn must have one, if both exist, the patent patent_id will be used first

2. patent_id or pn must be the patent ID and publication number in Patsnap database

relevancy
string99%
relevancy between the result patent and the input content
patent_id
Required
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
pn
Required
stringUS11205304B2
patent number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
indicators
objectPlease check the form: Indicators
Market prospect indicators
highest_patent_value
integer<int32>43000
Highest patent value of similar patents
industry_development
array[ 5, 7, 8 ]
Number of patents filed in recent N years under the highest frequency IPC (N is the input parameter)
tech_application_width
integer<int32>10
Number of similar patents whose number of IPC reached the threshold
original_assignee_count
integer<int32>30
The number of original assignees for similar patents
patent_info
arrayPlease check the form: Patent_info
Patent information
pn
Required
stringUS11205304B2
patent number
value
integer<int32>43000
patent valuation
ipc_cnt
integer<int32>5
patent IPC count
patent_id
Required
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
original_assignee_cnt
integer<int32>1
patent original assignee count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "indicators": {
      "highest_patent_value": 43000,
      "industry_development": [
        5,
        7,
        8
      ],
      "tech_application_width": 10,
      "original_assignee_count": 30
    },
    "patent_info": [
      {
        "pn": "US11205304B2",
        "value": 43000,
        "ipc_cnt": 5,
        "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
        "original_assignee_cnt": 1
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms